Neue Version des Python-Web-Frameworks

Neue Version des Python-Web-Frameworks

Django 1.5 unchained

Kristian Kißling
28.02.2013
Das Python Web Framework Django ist in Version 1.5 erschienen und bringt ein konfigurierbares User-Modell, experimentellen Python-3-Support sowie eine bessere Dokumentation mit.

Wer Python liebt, findet in Django ein antsprechendes Framework, um Webseiten auf Basis der Skriptsprache zu erstellen. Version 1.5 ist nach den Worten von James Bennett ein ziemlich umfangreiches Release, ein paar der Änderungen hebt er aber gesondert hervor.

Wollten Webseiten zum Beispiel eine E-Mail-Adresse als Identifikationsmerkmal verwenden, taugte das alte User-Modell von Django nicht wirklich. Ein neues, konfigurierbares User-Modell will nun mehr Flexibilität schaffen. In einem noch recht experimentellen Stadium befindet sich der noch wenig getestete Support für Python 3. Ein Porting Guide soll helfen, weiteren Code auf die neue Python-Version zu hieven. Nicht zuletzt haben Entwickler die Dokumentation optimiert: Sie enthält nun etwa ein Beispiel dafür, wie man eine in mehreren Projekten wiederverwendbare App schreibt und lässt sich einfacher durchsuchen.

Neben diesen wesentlichen Neuerungen gibt es auch kleine Veränderungen. So lässt sich nun gezielt eine Untermenge von Modell-Feldern in der Datenbank speichern. Die neue Klasse StreamingHttpResponse gibt zuverlässigere Antworten auf Streaming-Anfragen. Auch am Geografie-Framework Geo Django haben die Entwickler gefeilt, es unterstützt nun PostGIS 2.0. Den Quellcode von Django, das unter der BSD-Lizenz steht, findet man auf der Download-Seite des Projekts.

Ähnliche Artikel

Kommentare

Aktuelle Fragen

NOKIA N900 einziges Linux-Smartphone? Kein Support mehr
Wimpy *, 28.08.2016 11:09, 1 Antworten
Ich habe seit vielen Jahren ein Nokia N900 mit Maemo-Linux. Es funktioniert einwandfrei, aber ich...
Scannen nicht möglich
Werner Hahn, 19.08.2016 22:33, 3 Antworten
Laptop DELL Latitude E6510 mit Ubuntu 16,04, Canon Pixma MG5450. Das Drucken funktioniert, Scann...
Wie kann man das berichtigen
Udo Muelle, 17.07.2016 20:39, 1 Antworten
Fehlschlag beim Holen von http://extra.linuxmint.com/dists/rosa/main/binary-i386/Packages Hash-S...
Installation Genimotion
Horst Müller, 15.07.2016 17:00, 1 Antworten
Hallo, ich kann Genimotion nicht installieren. Folgende Fehlermeldung habe ich beim Aufruf erh...
Probleme beim Hochfahren der Terastaion 5400 mit Unix-Distrib
Sheldon Cooper, 10.07.2016 09:32, 0 Antworten
Hallo ihr lieben, habe seit zwei Tagen das Problem, das das NAS (Raid5) nicht mehr sauber hoch...